## viz1090 0+git20250919+ds

=== Makefile ===
#
# When building a package or installing otherwise in the system, make
# sure that the variable PREFIX is defined, e.g. make PREFIX=/usr/local
#

CXXFLAGS=-O2 -std=c++11 -g
LIBS= -lm -lSDL2 -lSDL2_ttf -lSDL2_gfx -g
CXX=g++

all: viz1090

%.o: %.c %.cpp
	$(CXX) $(CXXFLAGS) $(EXTRACFLAGS) -c $<

viz1090: viz1090.o AppData.o AircraftList.o Aircraft.o Label.o AircraftLabel.o anet.o interactive.o mode_ac.o mode_s.o net_io.o Input.o View.o Map.o parula.o monokai.o 
	$(CXX) -o viz1090 viz1090.o AppData.o AircraftList.o Aircraft.o Label.o AircraftLabel.o anet.o interactive.o mode_ac.o mode_s.o net_io.o Input.o View.o Map.o parula.o monokai.o $(LIBS) $(LDFLAGS)

clean:
	rm -f \
		airportdata.bin \
		airportnames \
		mapdata/* \
		mapdata.bin \
		mapnames \
		*.o \
		viz1090

=== debian/changelog ===
viz1090 (0+git20250919+ds-3) unstable; urgency=medium

  * Patched data file paths.

 -- Alex Myczko <tar@debian.org>  Sat, 18 Oct 2025 19:05:13 +0200

viz1090 (0+git20250919+ds-2) unstable; urgency=medium

  * d/control: move dump1090-mutability to Recommends.
  * d/README.Debian: updated.

 -- Alex Myczko <tar@debian.org>  Fri, 17 Oct 2025 08:14:15 +0200

viz1090 (0+git20250919+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #1115683)

 -- Alex Myczko <tar@debian.org>  Fri, 19 Sep 2025 08:18:44 +0200

=== debian/control ===
Source: viz1090
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Alex Myczko <tar@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 libsdl2-ttf-dev,
 librtlsdr-dev,
 libsdl2-gfx-dev,
Standards-Version: 4.7.2
Homepage: https://github.com/nmatsuda/viz1090
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/viz1090
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/viz1090.git

Package: viz1090
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 fonts-terminus,
 python3-fiona,
 python3-tqdm,
 python3-shapely,
Recommends:
 dump1090-mutability,
Description: visualizer for dump1090 ADS-B data
 Graphically visualize ADS-B data

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# See FEATURE AREAS in dpkg-buildflags(1).
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# See ENVIRONMENT in dpkg-buildflags(1).
# Package maintainers to append CFLAGS.
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# Package maintainers to append LDFLAGS.
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

## viz1090 0.1.0+ds

=== debian/changelog ===
viz1090 (0.1.0+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Mon, 03 Nov 2025 08:17:26 +0100

=== debian/watch ===
# Compulsory line, this is a version 4 file.
version=4

opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/nmatsuda/viz1090/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
